%global install_loc    %{_datadir}/eclipse/dropins/%{name}
%global source_tag 76ad0b

Name:           eclipse-mylyn-fedora-integration
Version:        1.0.2
Release:        0.5%{?dist}
Summary:        Eclipse Mylyn Fedora Integration

Group:          Development/Tools
License:        EPL
URL:            https://fedorahosted.org/Eclipse-Mylyn-Fedora-Integration/
# http://git.fedorahosted.org/git?p=Eclipse-Mylyn-Fedora-Integration.git;a=snapshot;h=%%{source_tag};sf=tbz2
Source0:        Eclipse-Mylyn-Fedora-Integration-%{source_tag}.tar.bz2
BuildArch: noarch

BuildRequires: eclipse-pde >= 1:4.2.0
BuildRequires: eclipse-mylyn-tasks-bugzilla >= 3.7.0
Requires: eclipse-platform >= 4.2.0
Requires: eclipse-mylyn-tasks-bugzilla >= 3.7.0

%description
Integrates Eclipse Mylyn with Fedora ecosystem by providing possibility to
report bugs and enhancements directly from within Eclipse.

%prep
%setup -q -n Eclipse-Mylyn-Fedora-Integration-%{source_tag}
pushd plugins/org.fedoraproject.eclipse.mylyn.support/
    VER=`echo "%{?dist}" | sed 's/.fc//'`
    sed -i "s/@version@/${VER}/" plugin.xml
popd

%build
eclipse-pdebuild -f org.fedoraproject.eclipse.mylyn.support.feature \
  -d "mylyn"

%install
install -d -m 755 %{buildroot}%{install_loc}

%{__unzip} -q -d %{buildroot}%{install_loc} \
     build/rpmBuild/org.fedoraproject.eclipse.mylyn.support.feature.zip 

%files
%dir %{install_loc}
%{install_loc}/eclipse/

%doc %{install_loc}/eclipse/features/org.fedoraproject.eclipse.mylyn.support.feature_%{version}/license.html
%doc %{install_loc}/eclipse/features/org.fedoraproject.eclipse.mylyn.support.feature_%{version}/epl-v10.html

%changelog
* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.2-0.5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Wed Feb 13 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.2-0.4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Wed Jul 18 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.2-0.3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Thu Jul 12 2012 Krzysztof Daniel <kdaniel@redhat.com> 1.0.2-0.2
- Update file ownership.

* Wed May 2 2012 Krzysztof Daniel <kdaniel@redhat.com> 1.0.2-0.1
- Fixed bug 917830 - Submit failed: invalide severity [...] 'enhancement'.

* Wed Apr 25 2012 Krzysztof Daniel <kdaniel@redhat.com> 1.0.1-0.1
- Fix review issues.
- Enabled xmlrpc.
- Set bugzilla version to 3.6

* Mon Apr 23 2012 Krzysztof Daniel <kdaniel@redhat.com> 1.0.0-0.1
- Initial build.
